UVCCAPTURE(1)

NAME
uvccapture - USB UVC Video Class snapshot software

SYNOPSIS
uvccapture [options]

DESCRIPTION
This manual page documents briefly the uvccapture command.

The purpose of uvccapture is to capture an image from a USB webcam at a specified interval, and save it to a JPEG file, no other formats are supported, imagemagick can handle anything else you might need.

OPTIONS
A summary of options is included below.

-h  Show summary of options.

-v  Verbose output.

-o<filename>
    Output filename (default is snap.jpg)

-d<device>
    V4L2 Device (default is /dev/video0)

-x<width>
    Image Width (must be supported by device) (>960 activates YUYV capture)

-y<height>
    Image Height (must be supported by device) (>720 activates YUYV capture)

-c<command>
    Command to run after each image capture (executed as <command> <output_filename>)

-t<integer>
    Take continuous shots with <integer> seconds between them (0 for single shot)

-q<percentage>
    JPEG Quality Compression Level (activates YUYV capture)

-r  Use read instead of mmap for image capture

-w  Wait for capture command to finish before starting next capture

-m  Toggles capture mode to YUYV capture

-B<integer>
    Brightness

-C<integer>
    Contrast

-S<integer>
    Saturation

-G<integer>
    Gain

SEE ALSO
http://linux-uvc.berlios.de/

AUTHOR
uvccapture was written by Gabriel A. Devenyi <ace@staticwave.ca>. This software is based of the package luvcview by Laurent Pinchart and Michel Xhaard.

This manual page was written by Krzysztof Burghardt <krzysztof@burghardt.pl>, for the Debian project (but may be used by others).